tbb::interface6::internal::token_helper< T, false > Class Template Reference

`#include <pipeline.h>`

Collaboration diagram for tbb::interface6::internal::token_helper< T, false >:

## Classes

union | type_to_void_ptr_map

## Public Types

typedef T | pointer
typedef T | value_type

## Static Public Member Functions

static pointer | create_token (const value_type &source)
static value_type & | token (pointer &t)
static void * | cast_to_void_ptr (pointer ref)
static pointer | cast_from_void_ptr (void *ref)
static void | destroy_token (pointer)

## Detailed Description

### template<typename T>
class tbb::interface6::internal::token_helper< T, false >

Definition at line 396 of file pipeline.h.

## Member Typedef Documentation

## pointer

template<typename T >

typedef T tbb::interface6::internal::token_helper< T, false >::pointer

Definition at line 402 of file pipeline.h.

## value_type

template<typename T >

typedef T tbb::interface6::internal::token_helper< T, false >::value_type

Definition at line 403 of file pipeline.h.

## Member Function Documentation

## cast_from_void_ptr()

template<typename T >

static pointer tbb::interface6::internal::token_helper< T, false >::cast_from_void_ptr | ( | void * | ref | ) |

inline static

Definition at line 412 of file pipeline.h.

{
type_to_void_ptr_map mymap;
mymap.void_overlay = ref;
return mymap.actual_value;
}

## cast_to_void_ptr()

template<typename T >

static void* tbb::interface6::internal::token_helper< T, false >::cast_to_void_ptr | ( | pointer | ref | ) |

inline static

Definition at line 406 of file pipeline.h.

{
type_to_void_ptr_map mymap;
mymap.void_overlay = NULL;
mymap.actual_value = ref;
return mymap.void_overlay;
}

## create_token()

template<typename T >

static pointer tbb::interface6::internal::token_helper< T, false >::create_token | ( | const value_type & | source | ) |

inline static

Definition at line 404 of file pipeline.h.

{ return source; }

## destroy_token()

template<typename T >

static void tbb::interface6::internal::token_helper< T, false >::destroy_token | ( | pointer |  | ) |

inline static

Definition at line 417 of file pipeline.h.

{}

## token()

template<typename T >

static value_type& tbb::interface6::internal::token_helper< T, false >::token | ( | pointer & | t | ) |

inline static

Definition at line 405 of file pipeline.h.

{ return t; }

The documentation for this class was generated from the following file:

- pipeline.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.